---
const {proceeding}=Astro.props;
---
<div class="mt-6 bg-white drop-shadow-2xl">
    <div class="grid md:grid-cols-6 grid-cols-1 ">
        <div class="md:p-8 p-5 md:border-r-2 md:border-[#FFA800] border-[#FFA800] ">
            <div class="grid md:grid-cols-1 grid-cols-3 lg:grid-cols-1">
                <div>
                    <p class="text-black leading-6 text-base font-semibold">
                        Case ID
                    </p>
                    <p class="text-black text-base font-normal mt-1">
                        {proceeding.caseId}
                    </p>
                </div>
                <div class="md:mt-4">
                    <p class="text-black leading-6 text-base font-semibold">
                        Status
                    </p>
                    <p class="text-black text-base font-normal mt-1">
                        {proceeding.status}
                    </p>
                </div>
                <div class="md:mt-4">
                    <p class="text-black leading-6 text-base font-semibold">
                        Opening Date
                    </p>
                    <p class="text-black text-base font-normal mt-1">
                        {proceeding.opening_date}
                    </p>
                </div>
            </div>
        </div>
        <div class="col-span-5">
            <div class="grid md:grid-cols-4 grid-cols-1 pt-8 pb-10">
                <div class="md:px-8 px-5 col-span-1 ">
                    <div>
                        <p  class="text-black font-semibold leading-6 text-base leading-6" >
                            The Name of the Case
                        </p>
                    </div>
                </div>
                <div class="md:col-span-3 col-span-4 px-5 md:px-0 mt-1.5">
                        <div>
                            <p class="text-black font-normal text-base leading-6">
                                {proceeding.case_nmae}
                            </p>
                        </div>
                </div>
                <div class="md:px-8 px-5">
                    <div class="mt-4">
                        <p class="text-black font-semibold leading-6 text-base leading-6">Description of the Case</p>
                    </div>
                </div>
                <div class="md:col-span-3 col-span-4 px-5 md:px-0">
                        <div class="md:mt-4 mt-1.5">
                            <p class="text-black font-normal text-base leading-6">{proceeding.case_description}</p>
                        </div>
                 </div>
                 <div class="md:px-8 px-5">
                    <div class="mt-4">
                        <p class="text-black font-semibold  text-base leading-6">Court</p>
                    </div>
                </div>
                <div class="md:col-span-3 col-span-4 px-5 md:px-0">
                    <div class="md:mt-4 mt-1.5">
                        <p class="text-black font-normal text-base leading-6">{proceeding.court}</p>
                    </div>
                 </div>

                 <div class="md:px-8 px-5">
                    <div class="mt-4">
                        <p class="text-black font-semibold  text-base leading-6">Bag Type</p>
                    </div>
                </div>
                <div class="md:col-span-3 col-span-4 px-5 md:px-0">
                    <div class="md:mt-4 mt-1.5">
                        <p class="text-black font-normal text-base leading-6">{proceeding.bag_type}</p>
                    </div>
                 </div>
                 <div class="md:px-8 px-5">
                    <div class="mt-4">
                        <p class="text-black font-semibold  text-base leading-6">Prosecutor</p>
                    </div>
                </div>
                <div class="col-span-4">
                    <div class="md:px-8 px-5 flex my-1 flex-wrap">
                        {
                            proceeding.prosecutors.map((item) => (
                                <div class="border  border-1 border-darkBlue p-2 text-center w-auto mr-1">{item.title}</div>
                            ))
                        }                        
                    </div>
                </div>
                <div class="md:px-8 px-5">
                    <div class="mt-4">
                        <p class="text-black font-semibold leading-6 text-base leading-6">Defendant</p>
                    </div>
                </div>
                <div class="col-span-4">
                    <div class="md:px-8 px-5 flex my-1 flex-wrap ">  
                        {
                            proceeding.defendant.map((item) => (

                                <div class="border  border-1 border-darkBlue p-2 mr-1 text-center w-auto">{item.title}</div>
                            ))
                        }                      
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
